set echo on

SELECT x
,      REGEXP_INSTR(x, '\?') AS "POSITION_OF_?"
FROM   t;

SELECT x
       --<>--
,      REGEXP_INSTR(
          x,
          '[A-Z]{3}', --expression
          1,          --start at
          1,          --nth occurrence
          0           --offset position
          ) AS regexp_offset_0
       --<>--
,      REGEXP_INSTR(
          x,
          '[A-Z]{3}',
          1,
          1,
          1
          ) AS regexp_offset_1
       --<>--
,      REGEXP_INSTR(
          x,
          '[A-Z]{3}',
          1,
          1,
          0,
          'i'        --match parameter
          ) AS regexp_case_insensitive
       --<>--
FROM   t;

